{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
    <style type="text/css">
    .reduce-col-number { width: 10px; }
    .reduce-col-photo { width: 65px; }

    .table th, .table td {
        vertical-align: middle;
    }

    </style>
    <script>
$(document).ready(function() {
$('.destinatarios_mensaje').attr("checked", "checked");
$('#selectall').attr("checked", "checked");

// add multiple select / deselect functionality
    $("#selectall").click(function () {
          $('.destinatarios_mensaje').attr('checked', this.checked);
    });
 
    // if all checkbox are selected, check the selectall checkbox
    // and viceversa
    $(".destinatarios_mensaje").click(function(){
 
        if($(".destinatarios_mensaje").length == $(".destinatarios_mensaje:checked").length) {
            $("#selectall").attr("checked", "checked");
        } else {
            $("#selectall").removeAttr("checked");
        }
 
    });
    
    $('#enviar_mensaje').submit(function() {
        var asunto = $('#id_Asunto').val()
        var contenido = $('#id_Contenido').val()
        if(asunto == '' || contenido == '' ){
            alert('Asunto y Contenido son campos obligatorios.');
            return false;
        }else{
            if ($(".destinatarios_mensaje:checked").length > 0){
                return true;
            }else{
                alert('Debe incluir al menos un destinatario.');
                return false;
            }
        }

    });

});
    </script>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Redactar nuevo mensaje' %}</h3>

        <form id='enviar_mensaje' action="" method="post" class="form-horizontal well">{% csrf_token %}
        <fieldset class="">
            <div class="control-group alert">
                <strong>Intrucciones:</strong><br/>
                Escriba el <u><i class="icon-book"></i> Asunto</u> y <u><i class="icon-book"></i> Contenido</u> del mensaje, luego elija los destinatarios.
            </div>
            <div class="control-group {% if form.Asunto.errors %}error{% endif %}">
                <label class="control-label" for="id_Asunto"><i class="icon-edit"></i><strong>{{ form.Asunto.label }}:<strong></label>
                <div class="controls">
                    {{ form.Asunto }}
                    {% if form.Asunto.errors %}
                    <span class="help-inline">
                    {% for error in form.Asunto.errors %}
                        {{ error }}
                    {% endfor %}
                    </span>
                    {% endif %}
                </div>
            </div>
            <div class="control-group {% if form.Contenido.errors %}error{% endif %}">
                <label class="control-label" for="id_Contenido"><i class="icon-align-justify"></i><strong>{{ form.Contenido.label }}:</strong></label>
                <div class="controls">
                    {{ form.Contenido }}
                    {% if form.Contenido.errors %}
                    <span class="help-inline">
                    {% for error in form.Contenido.errors %}
                        {{ error }}
                    {% endfor %}
                    </span>
                    {% endif %}
                </div>
            </div>

            <div class="form-actions">
            <button type="submit" class="btn btn-info">{% trans 'Enviar mensaje' %}</button>
            </div>
        </fieldset>
        
        <div class="control-group alert">
                <strong>{% trans "Elija los destinatarios y presione enviar." %}</strong>
        </div>
        {% if matriculados %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <th class="reduce-col-number"><input type="checkbox" id="selectall"/></th>
            <th class="reduce-col-photo">Foto</th>
            <th>Estudiante</th>
            </tr>
            </thead>
            <tbody>
            {% for mats in matriculados %}
            <tr>
                <TD align="center" valign="middle"><input type="checkbox" class="destinatarios_mensaje" name="destinatarios_mensaje" value="{{ mats.MatriculaCiclo.Alumno.id }}"/></TD>
                 <td>{% if mats.MatriculaCiclo.Alumno.Foto %}
                         <img src="{% static 'uploads/' %}{{ mats.MatriculaCiclo.Alumno.Foto }}" border="0" height="72" width="60" align="left">
                     {% else %}
                         <img src="{% static 'uploads/avatar.jpg' %}" border="0" height="72" width="60" align="left">
                     {% endif %}
                 </td>
                 <td>
                     <h4>{{ mats.MatriculaCiclo.Alumno }}</h4>
                     <span class="label">{{ mats.MatriculaCiclo.Codigo }}</span>
                     <span class="label label-{{ mats.MatriculaCiclo.Alumno.Carrera.Codigo }}">{{ mats.MatriculaCiclo.Alumno.Carrera }}</span>
                 </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
        </form>
    </div>    
</div>
{% endblock %}
